curl --request POST \
--url https://sandbox.cashfree.com/verification/mobile360/otp/verify \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"verification_id": "test_verification_id",
"otp": "123456"
}
'import requests
url = "https://sandbox.cashfree.com/verification/mobile360/otp/verify"
payload = {
"verification_id": "test_verification_id",
"otp": "123456"
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({verification_id: 'test_verification_id', otp: '123456'})
};
fetch('https://sandbox.cashfree.com/verification/mobile360/otp/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verification_id": "test_verification_id_99",
"reference_id": 1234567,
"status": "SUCCESS",
"personal_details": {
"full_name": "JOHN SNOW",
"gender": "MALE",
"total_income": 1000000,
"occupation": "Software Engineer",
"age": 30,
"dob": "1996-10-02",
"relatives_details": [
{
"relation": "FATHER",
"relative_name": "Alice Doe"
}
]
},
"phone_numbers": [
{
"type": "HOME",
"phone": "9999996655",
"linked_to": "CREDIT"
},
{
"type": "MOBILE",
"phone": "9999999999",
"linked_to": "PAN"
},
{
"type": "MOBILE",
"phone": "9988775566",
"linked_to": "UAN"
}
],
"emails": [
{
"email": "johnsnow@example.com",
"linked_to": "CREDIT"
},
{
"email": "abc@gmail.com",
"linked_to": "PAN"
},
{
"email": "johndoe@gmail.com",
"linked_to": "UAN"
}
],
"passport_details": [
{
"passport_number": "PA123456",
"linked_to": "CREDIT"
}
],
"ration_card_details": [
{
"ration_card_number": "TN1234567890",
"linked_to": "CREDIT"
}
],
"voter_details": [
{
"voter_id": "UAI4574761",
"linked_to": "CREDIT"
}
],
"pan_details": [
{
"pan_number": "ABCPV1234D",
"metadata": {
"registered_name": "JOHN SNOW",
"name_pan_card": "JOHN SNOW",
"type": "Individual or Person",
"aadhaar_linked": true
}
}
],
"driving_license_details": [
{
"driving_license_number": "KA0120198900984",
"linked_to": "CREDIT"
}
],
"aadhaar_details": [
{
"masked_aadhaar_number": "XXXXXXXX8848",
"linked_to": "PAN"
}
],
"addresses": [
{
"address": "Flat 404, Green Towers, MG Road, Mumbai 400001",
"type": "Primary",
"state": "MAHARASTHRA",
"pincode": "400001",
"city": "Mumbai",
"street": " MG Road",
"country": "India",
"linked_to": "PAN"
}
],
"bank_account_details": [
{
"bank_account": "20329012345",
"ifsc": "SBIN0012345",
"bank_address": "STATE BANK OF INDIA,KATANGA BENGALURU",
"linked_to": "CREDIT"
}
],
"employment_details": {
"uan": [
{
"uan": "200123456789",
"member_id": "XYZAB00123450000005678",
"establishment_id": "XYZAB0012345000",
"exit_date": null,
"joining_date": "2018-05-10",
"leave_reason": null,
"establishment_name": "ABC TECHNOLOGIES PVT LTD",
"uan_linked_aadhaar": true
}
],
"recent_employment_details": {
"employee_details": {
"member_id": "XYZAB00123450000005678",
"exit_date": null,
"joining_date": "2018-05-10",
"uan": "200123456789",
"epfo": {
"recent": true,
"name_unique": true,
"pf_filings_details": true
},
"employed": true,
"employee_name_match": true,
"exit_date_marked": false
},
"employer_details": {
"establishment_id": "XYZAB0012345000",
"establishment_name": "ABC TECHNOLOGIES PVT LTD",
"setup_date": "2012-03-15",
"ownership_type": "Private Limited Company",
"employer_confidence_score": 85,
"employer_name_match": true,
"pf_filing_details": [
{
"total_amount": 32145678,
"employees_count": 5678,
"wage_month": "JAN-25"
},
{
"total_amount": 31456789,
"employees_count": 5600,
"wage_month": "DEC-24"
},
{
"total_amount": 30987654,
"employees_count": 5500,
"wage_month": "NOV-24"
}
]
}
}
},
"telco_details": {
"is_valid_number": true,
"subscriber_status": "CONNECTED",
"connection_type": "PREPAID",
"current_service_provider": "AIRTEL",
"original_service_provider": "AIRTEL",
"network_region": "India",
"is_ported": false
}
}Mobile 360 Verify OTP
Use this API to extract multiple identity types from mobile number.
Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
Send the signature if IP is not whitelisted.
API version to be used. Format is in YYYY-MM-DD
Body
Find the request parameters for Mobile 360 Verify OTP
Response
Response for Mobile360 Verify OTP.
Unique ID of the verification request.
"test_verification_id_123"
Unique reference ID for the transaction.
987654
It displays the status of the API request. Possible values are
SUCCESS: Data has been successfully fetched using the provided mobile number.DETAILS_NOT_FOUND: No data for the given mobile number could be retrieved.
"SUCCESS"
Personal information of the individual.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Employment details of the individual.
Show child attributes
Show child attributes
Telco information of the individual.
Show child attributes
Show child attributes
